# slxos_vlan – Manage VLANs on Extreme Networks SLX-OS network devices

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of VLANs on Extreme SLX-OS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of VLANs definitions.
delay - | Default: 10 | Delay the play should wait to check for declarative intent params values.
interfaces - / required |  | List of interfaces that should be associated to the VLAN.
name - |  | Name of the VLAN.

purge
boolean

Choices:
- no ←
- yes

Purge VLANs not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent

State of the VLAN configuration.

vlan_id - / required |  | ID of the VLAN. Range 1-4094.

## Notes

Note

- Tested against SLX-OS 18r.1.00

## Examples

    - name: Create vlan
      slxos_vlan:
        vlan_id: 100
        name: test-vlan
        state: present
    - name: Add interfaces to VLAN
      slxos_vlan:
        vlan_id: 100
        interfaces:
          - Ethernet 0/1
          - Ethernet 0/2
    - name: Delete vlan
      slxos_vlan:
        vlan_id: 100
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['vlan 100', 'name test-vlan']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lindsay Hill (@lindsayhill)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.